lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [day] [month] [year] [list]
Date:   Sat, 28 Jan 2023 14:49:16 +0800
From:   Kevin Hao <haokexin@...il.com>
To:     linux-kernel@...r.kernel.org,
        Andrew Morton <akpm@...ux-foundation.org>
Cc:     Cristian Ciocaltea <cristian.ciocaltea@...labora.com>,
        Greg Kroah-Hartman <gregkh@...uxfoundation.org>,
        Nicolas Schier <nicolas@...sle.eu>,
        Vipin Sharma <vipinsh@...gle.com>,
        Paulo Miguel Almeida <paulo.miguel.almeida.rodenas@...il.com>,
        Masahiro Yamada <masahiroy@...nel.org>
Subject: [PATCH v3] scripts/tags.sh: Fix the Kconfig tags generation when using latest ctags

The Kconfig language has already been built-in in the latest ctags, so
it would error exit if we try to define it as an user-defined language
via '--langdef=kconfig'. This results that there is no Kconfig tags in
the final tag file. Fix this by skipping the user Kconfig definition for
the latest ctags.

Signed-off-by: Kevin Hao <haokexin@...il.com>
Reviewed-by: Cristian Ciocaltea <cristian.ciocaltea@...labora.com>
---
v3: Add Reviewed-by from Cristian.

Hi Andrew,

The scripts/get_maintainer.pl can't tell me who own scripts/tags.sh, and
the v2 [1] has dangled in the list for almost one month without further
comment. So I am wondering if you could pick up this patch.

[1] https://lore.kernel.org/all/20221230025632.1053726-1-haokexin@gmail.com/

 scripts/tags.sh | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/scripts/tags.sh b/scripts/tags.sh
index 14d0209893e9..da4d404cd1f0 100755
--- a/scripts/tags.sh
+++ b/scripts/tags.sh
@@ -271,10 +271,12 @@ exuberant()
 	--$CTAGS_EXTRA=+fq --c-kinds=+px --fields=+iaS --langmap=c:+.h \
 	"${regex[@]}"
 
-	setup_regex exuberant kconfig
-	all_kconfigs | xargs $1 -a                              \
-	--langdef=kconfig --language-force=kconfig "${regex[@]}"
-
+	KCONFIG_ARGS=()
+	if ! $1 --list-languages | grep -iq kconfig; then
+		setup_regex exuberant kconfig
+		KCONFIG_ARGS=(--langdef=kconfig --language-force=kconfig "${regex[@]}")
+	fi
+	all_kconfigs | xargs $1 -a "${KCONFIG_ARGS[@]}"
 }
 
 emacs()
-- 
2.38.1

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ